<ion-app>
  <!-- SIDEMENU PROFILE -->
  <ion-menu *ngIf="role == '0'" contentId="content1" side="end" autoHide="true" style="--max-width:65vw" type="overlay"
    swipeGesture="false">
    <ion-content>
      <ion-list class="menu-list">
        <ion-menu-toggle>
          <ion-item (click)="openPageProfile('profile-edit')">
            <ion-label class="ion-padding-start">
              <ion-icon name="create"></ion-icon> Ubah Profil
            </ion-label>
          </ion-item>
          <ion-item>
            <ion-label class="ion-padding-start" (click)="openPageProfile('profile-history')">
              <ion-icon src="assets/icon/History_icon.svg"></ion-icon> Riwayat
            </ion-label>
          </ion-item>
        </ion-menu-toggle>
      </ion-list>
    </ion-content>
    <ion-footer style="height:45px;" fxLayout="row">
      <ion-menu-toggle>
        <div class="ion-padding-start color-grey" (click)="logout()">
          <ion-icon class="ic-exit" name="exit"></ion-icon>
          <span class="lbl-exit"> Keluar</span>
        </div>
      </ion-menu-toggle>
    </ion-footer>
  </ion-menu>
  <!-- END SIDEMENU PROFILE -->

  <!-- SIDEMENU ADMIN -->
  <ion-menu *ngIf="role == '1'" contentId="content1" side="start" autoHide="true" style="--max-width:65vw" type="overlay"
    swipeGesture="true">
    <ion-content>
      <div fxLayout="column" class="header-container ion-text-center">
        <div>
          <img [src]="photoPath + user?.staffPhoto" alt="avatar"
          onerror="this.src='assets/img/user-eror.png'">
        </div>
        <div>
          {{user?.staffFirstName + ' ' + user?.staffLastName}}
        </div>
        <div>
          {{user?.staffJobPosition}}
        </div>
        <div>
          {{user?.libraryName}}
        </div>
      </div>
      <ion-list class="menu-list">
        <ion-menu-toggle>

          <ion-item *ngFor="let menu of adminMenu" (click)="openPage(menu.router, menu.type)">
            <ion-label class="ion-padding-start" fxLayout="row">
              <div style="width: 30px;">
                <ion-icon name="{{menu.icon}}"></ion-icon>
              </div>
              <div style="position: relative;top: -1px;">
                {{menu.label}}
              </div>
            </ion-label>
          </ion-item>
        </ion-menu-toggle>
      </ion-list>
    </ion-content>
    <ion-footer style="height:45px;" fxLayout="row">
      <ion-menu-toggle>
        <div class="ion-padding-start color-grey" (click)="logout()">
          <ion-icon class="ic-exit" name="exit"></ion-icon>
          <span class="lbl-exit"> Keluar</span>
        </div>
      </ion-menu-toggle>
    </ion-footer>
  </ion-menu>
  <!-- END SIDEMENU PROFILE -->


  <ion-router-outlet id="content1"></ion-router-outlet>
</ion-app>